package com.pqs9000.service.data;

import com.njcn.pojo.data.AssesData;
import com.pqs9000.pojo.common.PowerQualityData;

import java.util.Date;
import java.util.List;

/**
 * @author hongawen
 * @version 1.0
 * @Date 2018/6/12 16:12
 */
public interface AssesService {
	//概览--》缩略图电能质量--》电压偏差
	PowerQualityData getPowerQualityVol(Date startTime, Date endTime, String overview);

	//区域统计--》电压偏差
	PowerQualityData getPowerQualityVolArea(Date startTime, Date endTime, String area);
	
	//监测点:电能质量评估
	PowerQualityData qualityAssess(Date startTime, Date endTime, Long lineIndex);
	
	PowerQualityData qualityAssessTB(Date startTime, Date endTime,Date laststartTime, Date lastendTime, Long lineIndex);

	//电能质量评估列表
	List<AssesData> getAssesTableData(Date startTime, Date endTime, String area);
}
